#!/bin/bash
set -e

echo "==> Executing node image entrypoint ..."
# setup ros environment
source "/opt/ros/$ROS_DISTRO/setup.bash"
# might need to source the devel space as well
source "$ROS_WS/devel/setup.bash"

# put some stuff in the hosts file
# echo "service-drone.default.svc.cluster.local drone-0" >> /etc/hosts
# echo "service-master.default.svc.cluster.local base-0" >> /etc/hosts

# add service-base to known hosts
# ssh-keyscan -H service-drone

echo "==> Container ready"
exec "$@"
